# Class FileChooserUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.FileChooserUI

Direct Known Subclasses:
  `BasicFileChooserUI, MultiFileChooserUI`

public abstract class FileChooserUI extends ComponentUI
Pluggable look and feel interface for `JFileChooser`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FileChooserUI()`
Constructor for subclasses to call.

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`ensureFileIsVisible(JFileChooser fc, File f)`
Ensure the file in question is visible.
`abstract FileFilter`
`getAcceptAllFileFilter(JFileChooser fc)`
Returns an accept-all file filter.
`abstract String`
`getApproveButtonText(JFileChooser fc)`
Returns approve button text.
`JButton`
`getDefaultButton(JFileChooser fc)`
Returns default button for current `LookAndFeel`.
`abstract String`
`getDialogTitle(JFileChooser fc)`
Returns the dialog title.
`abstract FileView`
`getFileView(JFileChooser fc)`
Returns a file view.
`abstract void`
`rescanCurrentDirectory(JFileChooser fc)`
Rescan the current directory.

### Methods declared in class ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`
Modifier and Type
Method
Description
`boolean`
`contains(JComponent c, int x, int y)`
Returns `true` if the specified x,y location is contained within the look and feel's defined shape of the specified component.
`static ComponentUI`
`createUI(JComponent c)`
Returns an instance of the UI delegate for the specified component.
`Accessible`
`getAccessibleChild(JComponent c, int i)`
Returns the `i`th `Accessible` child of the object.
`int`
`getAccessibleChildrenCount(JComponent c)`
Returns the number of accessible children in the object.
`int`
`getBaseline(JComponent c, int width, int height)`
Returns the baseline.
`Component.BaselineResizeBehavior`
`getBaselineResizeBehavior(JComponent c)`
Returns an enum indicating how the baseline of the component changes as the size changes.
`Dimension`
`getMaximumSize(JComponent c)`
Returns the specified component's maximum size appropriate for the look and feel.
`Dimension`
`getMinimumSize(JComponent c)`
Returns the specified component's minimum size appropriate for the look and feel.
`Dimension`
`getPreferredSize(JComponent c)`
Returns the specified component's preferred size appropriate for the look and feel.
`void`
`installUI(JComponent c)`
Configures the specified component appropriately for the look and feel.
`void`
`paint(Graphics g, JComponent c)`
Paints the specified component appropriately for the look and feel.
`void`
`uninstallUI(JComponent c)`
Reverses configuration which was done on the specified component during `installUI`.
`void`
`update(Graphics g, JComponent c)`
Notifies this UI delegate that it is time to paint the specified component.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### FileChooserUI

protected FileChooserUI()
Constructor for subclasses to call.

## Method Details

### getAcceptAllFileFilter

public abstract FileFilter getAcceptAllFileFilter(JFileChooser fc)
Returns an accept-all file filter.

Parameters:
  `fc` - the file chooser
Returns:
  an accept-all file filter

### getFileView

public abstract FileView getFileView(JFileChooser fc)
Returns a file view.

Parameters:
  `fc` - the file chooser
Returns:
  a file view

### getApproveButtonText

public abstract String getApproveButtonText(JFileChooser fc)
Returns approve button text.

Parameters:
  `fc` - the file chooser
Returns:
  approve button text.

### getDialogTitle

public abstract String getDialogTitle(JFileChooser fc)
Returns the dialog title.

Parameters:
  `fc` - the file chooser
Returns:
  the dialog title.

### rescanCurrentDirectory

public abstract void rescanCurrentDirectory(JFileChooser fc)
Rescan the current directory.

Parameters:
  `fc` - the file chooser

### ensureFileIsVisible

public abstract void ensureFileIsVisible(JFileChooser fc, File f)
Ensure the file in question is visible.

Parameters:
  `fc` - the file chooser
  `f` - the file

### getDefaultButton

public JButton getDefaultButton(JFileChooser fc)
Returns default button for current `LookAndFeel`. `JFileChooser` will use this button as default button for dialog windows.

Parameters:
  `fc` - the `JFileChooser` whose default button is requested
Returns:
  the default JButton for current look and feel
Since:
  1.7